.titleBar { margin-bottom: 5px!important; }

Realtime

Dieses Thema im Forum "Asterisk Allgemein" wurde erstellt von matinski, 9 Aug. 2005.

  1. matinski

    matinski Neuer User

    Registriert seit:
    22 Juli 2005
    Beiträge:
    6
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    hallo zusammen,
    kann mir wohl einer weiterhelfen....?
    versuche realtime an den start zu bekommen
    bekomme diese fehlermeldung wenn ich die nebst. 1511 anrufen möchte

    Aug 9 15:29:56 WARNING[24733]: pbx.c:797 pbx_find_extension: No such switch 'Realtime'


    help...... :roll:
     
  2. rajo

    rajo Admin-Team

    Registriert seit:
    31 März 2004
    Beiträge:
    1,958
    Zustimmungen:
    0
    Punkte für Erfolge:
    36
    Zeig mal, was Du wie konfiguriert hast. (extensions.conf, z.B.)

    Ich nehme mal an, dass Du eine *-Version hast, die auch über Realtime verfügt.
     
  3. matinski

    matinski Neuer User

    Registriert seit:
    22 Juli 2005
    Beiträge:
    6
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    kurzer überblick

    1 susu 9.3
    2 postgresql
    3 *CLI> odbc show
    Name: Postgresql
    DSN: Asterisk
    Connected: yes

    4 cdr daten laufen schon in die db

    5 extconfig.conf:
    [settings]

    extensions => odbc,asterisk,extensions_conf
    sipusers => odbc,asterisk,sip_conf
    sippeers => odbc,asterisk,sip_conf
    iaxusers => odbc,asterisk,sip_conf
    iaxpeers => odbc,asterisk,sip_conf
    queues => odbc,asterisk,queue_table
    queue_members => odbc,asterisk,queue_member_table
    ;sipusersdialplan => odbc,asterisk,extensions_conf
    ;queues.conf => odbc

    6 extensions.conf:

    include => extensions

    [extensions]
    switch => Realtime/@extensions

    7 ausgabe beim starten von Asterisk

    -- Registered extension context 'extensions'
    -- Including switch 'Realtime/@extensions' in context 'extensions'



    wo liegt der fehler ????
     
  4. rajo

    rajo Admin-Team

    Registriert seit:
    31 März 2004
    Beiträge:
    1,958
    Zustimmungen:
    0
    Punkte für Erfolge:
    36
    ich hoffe mal, dass ein wenig mehr in der extensions.conf drinsteht ausser diesen drei Zeilen ;)

    das @extensions brauchst Du eigentlich nicht, da das eh schon der default ist.
    Anundfürsich würde auch
    switch => Realtime/@
    ausreichen.
    Aber soweit sieht das doch ganz ordentlich aus.

    Was für eine Asterisk-Version hast Du?

    Ist ganz oben das die einzige Meldung die kommt oder sind vorher noch ein paar Hinweise/Warnungen/Fehlermeldungen?
     
  5. matinski

    matinski Neuer User

    Registriert seit:
    22 Juli 2005
    Beiträge:
    6
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    ja da steht natürlich mehr drin, habe auch zwei einträge für nebenstellen drin die funktionieren

    die version:
    Asterisk 1.0.6-BRIstuffed-0.2.0-RC7k built by abuild@reiser on a i686 running Linux

    ja das ist oben die einzige meldung wenn asterisk gestartet ist und ich die nebst 1511 anwähle, die beiden fest eingetragenen funkt. einwandfrei

    ??????

    was nun machen

    wie kann ich noch mal nachschauen ob "realtime" richtig läuft ???

    gruß und danke
     
  6. rajo

    rajo Admin-Team

    Registriert seit:
    31 März 2004
    Beiträge:
    1,958
    Zustimmungen:
    0
    Punkte für Erfolge:
    36
  7. matinski

    matinski Neuer User

    Registriert seit:
    22 Juli 2005
    Beiträge:
    6
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Du brauchst CVS-Head dafür ?????
    was meinst du damit, bin leider erst einsteiger!! :-(

    oder brauche ich eine anderer version? was ist die neuste version von Asterisk?

    gruß und danke
     
  8. rajo

    rajo Admin-Team

    Registriert seit:
    31 März 2004
    Beiträge:
    1,958
    Zustimmungen:
    0
    Punkte für Erfolge:
    36
    Nja, es gibt nunmal verschiedene Versionen von Asterisk. Realtime ist eine recht neue Sache in Asterisk die erst in der Entwicklerversion aka CVS-Head drin ist. D.h. man benötigt die CVS-Version von www.asterisk.org.

    Ich nehme mal an, Du verwendest ISDN-Karten mit HFC-Chip, daher brauchst Du vermutlich den Bristuff. (Anm.: eine Signatur mit der verwendeten Hardware ist hilfreich, dann sieht man direkt was los ist ;) ). Falls dies jetzt der Fall für Bristuff ist, siehe o.g. Link, dort steht drin wo man eine Bristuff-Version bekommt, die mit CVS-Head arbeitet.

    Ansonsten gibt es "stabile" Asterisk-Releases von www.asterisk.org, die Entwicklerversion (CVS-Head) von asterisk.org und diverse Pakete von junghanns.net für HFC-Karten die auf irgendwelchen Stable-Versionen von asterisk.org aufsetzen (oder eben auch auf CVS-Head).

    HTH